net.sf.saxon.serialize

## Class HTML40Emitter

- java.lang.Object
- - net.sf.saxon.serialize.Emitter
  - - net.sf.saxon.serialize.XMLEmitter
    - - net.sf.saxon.serialize.HTMLEmitter
      - - net.sf.saxon.serialize.HTML40Emitter

- All Implemented Interfaces:
    Result, Receiver

      public class HTML40Emitter
      extends HTMLEmitter

  This class generates HTML 4.0 output

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.serialize.HTMLEmitter

      `version`

    - ### Fields inherited from class net.sf.saxon.serialize.XMLEmitter

      `characterReferenceGenerator, declarationIsWritten, elementCode, elementStack, indentForNextAttribute, openStartTag, started, startedElement, undeclareNamespaces`

    - ### Fields inherited from class net.sf.saxon.serialize.Emitter

      `allCharactersEncodable, characterSet, namePool, outputProperties, outputStream, pipelineConfig, streamResult, systemId, writer`

    - ### Fields inherited from interface javax.xml.transform.Result

      `PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTML40Emitter()` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isHTMLElement(NodeName name)` Decide whether an element is "serialized as an HTML element" in the language of the 3.0 specification
    `protected void` | `openDocument()` Do the real work of starting the document.

    - ### Methods inherited from class net.sf.saxon.serialize.HTMLEmitter

      `characters, endElement, isEmptyTag, open, processingInstruction, setEmptyTag, setEscapeNonAscii, startContent, startElement, writeAttribute, writeDocType, writeEscape`

    - ### Methods inherited from class net.sf.saxon.serialize.XMLEmitter

      `attribute, close, closeStartTag, comment, emptyElementTagCloser, endDocument, getAttributeIndentString, namespace, setCharacterReferenceGenerator, setIndentForNextAttribute, startDocument, testCharacters, usesTypeAnnotations, writeCharSequence, writeDeclaration, writeDocTypeWithNullSystemId`

    - ### Methods inherited from class net.sf.saxon.serialize.Emitter

      `getConfiguration, getOutputProperties, getOutputStream, getPipelineConfiguration, getSystemId, getWriter, makeOutputStream, makeWriter, setOutputProperties, setOutputStream, setPipelineConfiguration, setStreamResult, setSystemId, setUnparsedEntity, setWriter, usesWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTML40Emitter

          public HTML40Emitter()

      Constructor

  - ### Method Detail

    - #### isHTMLElement

          protected boolean isHTMLElement(NodeName name)

      Decide whether an element is "serialized as an HTML element" in the language of the 3.0 specification
      Specified by:
        `isHTMLElement` in class `HTMLEmitter`
      Returns:
        true if the element is to be serialized as an HTML element

    - #### openDocument

          protected void openDocument()
                               throws XPathException

      Description copied from class: `XMLEmitter`
      Do the real work of starting the document. This happens when the first content is written.
      Overrides:
        `openDocument` in class `HTMLEmitter`
      Throws:
        `XPathException` - f an error occurs opening the output file

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.